clutter-gtk (1.8.4-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 11 Nov 2022 17:56:23 +0800

clutter-gtk (1.8.4-4) unstable; urgency=medium

  * Bump debhelper compat to 11
  * Restore -Wl,-O1 to our LDFLAGS
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 18:40:41 -0500

clutter-gtk (1.8.4-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Update Multi-Arch metadata as recommended by the multiarch hinter

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 20:31:59 -0500

clutter-gtk (1.8.4-2) unstable; urgency=medium

  [ Daniel van Vugt ]
  * Fix high CPU usage (particularly in Wayland sessions) when clutter redraws.
    Hardware redraws of the clutter stage were unexpectedly triggering software
    redraws of the backing window and its decorations. On _every_ frame.
    This halves the CPU usage of totem and gnome-maps. (LP: #1698282)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 09 Oct 2017 21:50:47 -0400

clutter-gtk (1.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes.
  * Use dh_missing --fail-missing instead of dh_install --list-missing.
  * Add locale files to debian/not-installed
  * Delete *.la
  * Update debian/libclutter-gtk-1.0-0.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Aug 2017 20:54:59 +0200

clutter-gtk (1.8.2-2) unstable; urgency=medium

  * Fix broken /usr/share/doc/libclutter-gtk-1.0-doc/html symlink.
    (Closes: #858504)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Mar 2017 23:56:19 +0100

clutter-gtk (1.8.2-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Bump libgtk-3-dev (build-)dependency to >= 3.21.0 (Closes: #836707)

  [ Michael Biebl ]
  * New upstream release.
  * Drop debian/patches/git_disable-dubbel-buffer.patch, merged upstream.
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.
  * Fix dh_autoreconf override to properly track the changes made by
    autoreconf and use --as-needed.
  * Add Build-Depends-Indep on libgdk-pixbuf2.0-doc, libglib2.0-doc,
    libgtk-3-doc and libclutter-1.0-doc for proper cross-references in the
    gtk-doc API documentation.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Sep 2016 18:29:53 +0200

clutter-gtk (1.8.0-2) unstable; urgency=medium

  * Add debian/patches/git_disable-dubbel-buffer.patch
  * Convert from cdbs to dh.
  * Add NEWS, README to debian/docs
  * Drop libclutter-gtk-1.0-dbg and add dbgsym-migration to debian/rules.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 04 Sep 2016 16:17:06 +0200

clutter-gtk (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Don't rely on ./autogen.sh when running autoreconf, as this script does
    not exist in the dist tarball.
  * Drop pkg-config dependency from libclutter-gtk-1.0-dev and bump the
    libgtk-3-dev dependency.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 23:21:42 +0200

clutter-gtk (1.7.1~git20160315.d7f735e6-1) experimental; urgency=medium

  * New upstream snapshot.
  * Bump gtk+ build-dependency to >= 3.19.4
  * Bump Standards-Version to 3.9.7.
  * Temporary changes for building from git snapshot:
    - export NOCONFIGURE=1
    - make dh-autoreconf run ./autogen.sh
    - add build-dependency on gtk-doc-tools
    - add --enable-gtk-doc configure flag

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 22:16:58 +0100

clutter-gtk (1.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 00:28:35 +0200

clutter-gtk (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - bump clutter to >= 1.23.7
    - bump gtk+ to >= 3.8.0

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 10:08:49 +0200

clutter-gtk (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete Conflicts/Replaces from pre-wheezy.
  * Install typelib files into multiarch paths and mark gir1.2-gtkclutter-1.0
    as Multi-Arch: same.
  * Bump debhelper compatibility level to 9.
  * Bump Build-Depends on libclutter-1.0-dev to (>= 1.22.3) as per
    configure.ac.
  * Bump Standards-Versiont to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Jul 2015 00:07:22 +0200

clutter-gtk (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/git-revert-prefer-gdk.patch
    - now included in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 22:16:34 +0200

clutter-gtk (1.5.4-2) unstable; urgency=medium

  * Add debian/patches/git-revert-prefer-gdk.patch (Closes: #761009)
    - backported from upstream git.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 10 Sep 2014 18:27:31 +0200

clutter-gtk (1.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5.
  * Bump Build-Depends on libclutter-1.0-dev to (>= 1.18) as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Sep 2014 00:06:35 +0200

clutter-gtk (1.5.2-2) unstable; urgency=medium

  * Update watch file to catch all versions.
  * autoreconf during the build.

 -- Iain Lane <laney@debian.org>  Mon, 28 Apr 2014 17:55:46 +0100

clutter-gtk (1.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 22:10:56 +0200

clutter-gtk (1.4.4-4) experimental; urgency=low

  * Build against experimental clutter

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 21:16:41 +0100

clutter-gtk (1.4.4-3) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/rules: Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS to not
    override hardening flags
  * debian/control.in:
    - Use canonical URL's for the Vcs-* fields
    - Bump Standards-Version to 3.9.4 (no further changes)

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Aug 2013 18:23:21 +0200

clutter-gtk (1.4.4-2) experimental; urgency=low

  * debian/control.in:
    + Bump libclutter-1.0-dev requirement, needed for
      clutter_disable_accessibility.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 24 Mar 2013 11:52:56 +0100

clutter-gtk (1.4.4-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 20 Mar 2013 22:02:28 +0100

clutter-gtk (1.4.2-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 16 Mar 2013 00:02:02 +0100

clutter-gtk (1.4.0-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release (Closes: #690870)
  * debian/libclutter-gtk-1.0-0.symbols:
    - Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Oct 2012 22:33:21 +0200

clutter-gtk (1.2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 02 May 2012 00:04:42 +0200

clutter-gtk (1.2.0-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * debian/control.in:
    - Drop gir1.2-* dependencies which are pulled by *-dev packages
  * debian/watch: Switch to .xz tarball

  [ Michael Biebl ]
  * Change section of gir1.2-gtkclutter-1.0 to introspection.
  * Rely on cdbs to call dh_girepository. Bump Build-Depends accordingly.
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Bump GTK to (>= 3.2.0) & clutter to (>= 1.9.16)
    - Standards-Version 3.9.3

  [ Laurent Bigonville ]
  * Follow multiarch policy

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 06:39:30 +0200

clutter-gtk (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 01 Oct 2011 14:27:55 +0100

clutter-gtk (1.0.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Laurent Bigonville ]
  * New upstream release.
    - Bump libclutter-1.0-dev Build-dependency to 1.4.0
  * debian/control.in:
    - Bump Standards-Version to 3.9.2
    - Drop duplicate section to please lintian
  * debian/libclutter-gtk-1.0-0.symbols: Drop symbols that where not supposed
    to be exported

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Apr 2011 23:51:19 +0200

clutter-gtk (0.91.8-2) experimental; urgency=low

  * debian/control.in:
    - Update for the new gtk+ 3 package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 15:20:15 +0000

clutter-gtk (0.91.8-1) experimental; urgency=low

  * New upstream release.
    - debian/libclutter-gtk-1.0-0.symbols:
      + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 15 Jan 2011 14:52:18 +0000

clutter-gtk (0.91.6-1) experimental; urgency=low

  * New upstream release.
    - debian/control.in:
      + Updated build dependencies.
    - debian/patches/01_window_dont_use_size-request.patch,
      debian/patches/02_offscreen_dont_use_site-request.patch:
      + Removed, included upstream.
    - debian/libclutter-gtk-1.0-0.symbols:
      + Updated for the new version.
  * debian/rules:
    - Add a get-orig-source target.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:57:50 +0000

clutter-gtk (0.91.4-3) experimental; urgency=low

  * debian/control.in:
    - Don't build depend on gir-repository-dev, it's not needed. Thanks
      Sebastien Bacher.
  * Update to the new gir policy:
    - Rename gir1.0-clutter-gtk-1.0 to gir1.2-gtkclutter-1.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 13 Dec 2010 00:49:59 +0100

clutter-gtk (0.91.4-2) experimental; urgency=low

  * Add a gir package, thanks Sebastien Bacher. Closes: #591801.
  * Bump minimum build dependencies to get 1.2 girs.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Dec 2010 22:18:21 +0100

clutter-gtk (0.91.4-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * Rename debian/libclutter-gtk-doc.links to
    debian/libclutter-gtk-0.10-doc.links and fix symlink path

  [ Emilio Pozuelo Monfort ]
  * New upstream release. Rename the source package.
  * debian/patches/01_window_dont_use_size-request.patch,
    debian/patches/02_offscreen_dont_use_site-request.patch:
    - Patches from git, build with latest gtk+3.
  * debian/control.in:
    - Update build dependencies.
    - Update Vcs-* fields.
    - Wrap relationship fields.
  * debian/control.in,
    debian/*{0.10,1.0}*:
    - Rename binary packages for the new SONAME.
  * debian/libclutter-gtk-1.0-0.symbols:
    - Updated.
  * debian/copyright:
    - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Dec 2010 16:35:16 +0100

clutter-gtk-0.10 (0.10.8-1) experimental; urgency=low

  * New upstream release
  * Use uploaders.mk magic to handle debian/control
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control.in:
    - Wrap build-dependencies
    - Bump Standards-Version to 3.9.1
    - Add Homepage field
    - Add Vcs-Svn and Vcs-Browser fields
    - Add gnome-pkg-tools build-dependency
    - Suggest the correct documentation binary
    - Remove duplicate Section field
  * debian/rules:
    - Add include uploaders.mk
    - Drop include simple-patchsys.mk

 -- Laurent Bigonville <bigon@debian.org>  Mon, 25 Oct 2010 20:19:35 +0200

clutter-gtk-0.10 (0.10.4-1) unstable; urgency=low

  * New upstream release
  - Doesn't use deprecated GTK+ symbols (Closes: #576971)

 -- Rob Bradford <robster@debian.org>  Sun, 01 Aug 2010 22:22:52 +0100

clutter-gtk-0.10 (0.10.2-1) unstable; urgency=low

  * New upstream release
  * debian/libclutter-gtk-0.10-0.symbols: Added
  * debian/control: Add Myself to Uploaders
  * debian/control: Make libclutter-gtk-0.10-doc depends on libclutter-1.0-doc
  * debian/copyright: Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 30 Aug 2009 15:46:51 +0100

clutter-gtk (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Minor lintian fixes

 -- Ross Burton <ross@debian.org>  Fri, 19 Jun 2009 15:46:22 +0100

clutter-gtk (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Rob Bradford <robster@debian.org>  Fri, 18 Jul 2008 15:37:02 +0100

clutter-gtk (0.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Rob Bradford <robster@debian.org>  Wed, 16 Jul 2008 11:11:52 +0100

clutter-gtk (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Wed, 02 Jul 2008 15:14:23 +0100

clutter-gtk (0.6.0-2) unstable; urgency=low

  * Really make the -dbg package priority extra.

 -- Rob Bradford <robster@debian.org>  Mon, 18 Feb 2008 19:03:17 +0000

clutter-gtk (0.6.0-1) unstable; urgency=low

  * New upstream release.
  - Switch away from deprecated substvars.
  - Fix debian/copright file.
  - Make the -dbg package priority extra.

 -- Rob Bradford <robster@debian.org>  Mon, 18 Feb 2008 13:33:30 +0000

clutter-gtk (0.5.2-1) unstable; urgency=low

  * New (unstable) upstream release.

 -- Rob Bradford <robster@debian.org>  Mon, 11 Feb 2008 17:39:37 +0000

clutter-gtk (0.5.0-1) unstable; urgency=low

  * New (unstable) upstream release.

 -- Rob Bradford <robster@debian.org>  Thu, 17 Jan 2008 11:30:35 +0000

clutter-gtk (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Wed,  8 Aug 2007 14:13:46 +0100

clutter-gtk (0.1.0-1) unstable; urgency=low

  * Initial release.

 -- Ross Burton <ross@debian.org>  Fri, 23 Mar 2007 14:35:40 +0000
